%define upstream_name    PerlIO-gzip
%define upstream_version 0.20

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Perl extension to provide a PerlIO layer to gzip/gunzip
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/N/NW/NWCLARK/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     %{upstream_name}-0.14-no_strict_warnings.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
BuildRequires: pkgconfig(zlib)

%{?perl_default_filter}

%description
PerlIO::gzip provides a PerlIO layer that manipulates files in the format used
by the gzip program. Compression and Decompression are implemented, but not
together. If you attempt to open a file for reading and writing the open will
fail.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorarch}/PerlIO
%{perl_vendorarch}/auto/PerlIO


%changelog
* Tue Nov 28 2023 tv <tv> 0.200.0-11.mga10
+ Revision: 2010591
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.200.0-10.mga9
+ Revision: 1862273
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.200.0-9.mga9
+ Revision: 1795991
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.200.0-8.mga9
+ Revision: 1727007
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.200.0-7.mga8
+ Revision: 1595138
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.200.0-6.mga8
+ Revision: 1530012
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 0.200.0-5.mga8
+ Revision: 1433873
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.200.0-4.mga7
+ Revision: 1293655
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.200.0-3.mga7
+ Revision: 1249258
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.200.0-2.mga7
+ Revision: 1166171
- rebuild with fixed rpm for missing autodeps

* Sun Sep 24 2017 sander85 <sander85> 0.200.0-1.mga7
+ Revision: 1158468
- update to 0.20

* Thu Aug 31 2017 pterjan <pterjan> 0.190.0-6.mga7
+ Revision: 1149105
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.190.0-5.mga7
+ Revision: 1127398
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.190.0-4.mga6
+ Revision: 1031974
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.190.0-3.mga6
+ Revision: 957881
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.190.0-2.mga6
+ Revision: 845114
- rebuild for soname-ifed perl

* Wed Jun 24 2015 sander85 <sander85> 0.190.0-1.mga6
+ Revision: 841809
- update to 0.19

* Wed Oct 15 2014 umeabot <umeabot> 0.180.0-13.mga5
+ Revision: 745199
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.180.0-12.mga5
+ Revision: 733256
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.180.0-11.mga5
+ Revision: 685960
- Mageia 5 Mass Rebuild

* Thu Jun 05 2014 jquelin <jquelin> 0.180.0-10.mga5
+ Revision: 633378
- fix build with perl 5.20
- perl 5.20.0 rebuild
+ pterjan <pterjan>
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.180.0-8.mga4
+ Revision: 524084
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 0.180.0-7.mga4
+ Revision: 429995
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 0.180.0-6.mga3
+ Revision: 371790
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.180.0-5.mga3
+ Revision: 251058
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.180.0-4.mga2
+ Revision: 104913
- Rebuild for perl 5.14

* Thu Jan 13 2011 jquelin <jquelin> 0.180.0-3.mga1
+ Revision: 13958
- imported package perl-PerlIO-gzip

